Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## name.milesparker.markets
Class Trader

    java.lang.Object
      org.ascape.model.AscapeObject
          org.ascape.model.Agent
              org.ascape.model.LocatedAgent
                  org.ascape.model.Cell
                      org.ascape.model.CellOccupant
                          name.milesparker.markets.Trader

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, Location, Node, HasName, RandomFunctions

    public class Trader

extends CellOccupant

Trader Java Implementation. Generated by AMF for model: Markets.metaabm in project: org.eclipse.amp.amf.examples.escape

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.ascape.model.CellOccupant
`PLAY_HOST_RULE, RANDOM_WALK_AVAILABLE_RULE`

Fields inherited from class org.ascape.model.Cell
`CALCULATE_NEIGHBORS_RULE, neighbors, PLAY_NEIGHBORS_RULE, PLAY_RANDOM_NEIGHBOR_RULE`

Fields inherited from class org.ascape.model.LocatedAgent
`agentSize, coordinate, MOVE_RANDOM_LOCATION_RULE, RANDOM_WALK_RULE, thisUpdate`

Fields inherited from class org.ascape.model.Agent
`DEATH_RULE, FISSIONING_RULE, FORCE_DIE_RULE, FORCE_FISSION_RULE, FORCE_MOVE_RULE, INITIALIZE_RULE, ITERATE_AND_UPDATE_RULE, ITERATE_RULE, METABOLISM_RULE, MOVEMENT_RULE, PLAY_OTHER, UPDATE_RULE`

Fields inherited from class org.ascape.model.AscapeObject
`ARBITRARY_SEED, name, PLATFORM_DEFAULT_COLOR, scape`

Constructor Summary
`Trader()` Constructs a new Trader.

Method Summary
`void` | `ask()` Ask Rule.
`void` | `buy()` Buy Rule.
`void` | `calculateTimeStep(int timeStep)`
`java.lang.Object` | `clone()` Clones the agent, ensuring that a unique id is assigned.
`void` | `execute()` Execute Rule.
`java.util.List<IAgentChild>` | `getChildren()`
`double` | `getFunds()` Gets the Funds property for Trader.
`int` | `getInstrumentCount()` Gets the Instrument Count property for Trader.
`Markets` | `getMarkets()`
`java.lang.String` | `getName()`
`java.util.List` | `getNetwork()`
`StrategyEnum` | `getStrategy()` Gets the Strategy property for Trader.
`long` | `getUID()`
`double` | `initialTraderFunds()` Calculate Initial Trader Funds.
`void` | `intializeNonFramework()` Initialize Initialization.
`void` | `setFunds(double _funds)` Sets the Funds property for Trader.
`void` | `setInstrumentCount(int _instrumentCount)` Sets the Instrument Count property for Trader.
`void` | `setStrategy(StrategyEnum _strategy)` Sets the Strategy property for Trader.
`double` | `sharePriceAdjustment()` Calculate Share Price Adjustment.
`void` | `startSimulationAgentChild(int timeStep)`

Methods inherited from class org.ascape.model.CellOccupant
`die, findAvailableNeighbors, findNearest, findNearest, findNearest, findNearest, findNearest, findNeighbors, findNeighborsOnHost, findRandomAvailableNeighbor, findRandomNeighbor, findRandomNeighborOnHost, findWithin, findWithin, findWithin, getCoordinate, getHostCell, getHostScape, leave, moveAway, moveTo, moveToRandomLocation, moveToward, playNeighbors, playRandomNeighbor, randomWalk, randomWalkAvailable, setHostCell, setHostScape`

Methods inherited from class org.ascape.model.Cell
`calculateNeighbors, countNeighbors, findOccupants, findRelative, getDistance, getNeighbors, getNeighbors, getOccupant, hostedCondition, initialize, isAvailable, removeOccupant, setNeighbors, setNeighborsList, setNetwork, setOccupant, toString`

Methods inherited from class org.ascape.model.LocatedAgent
`calculateDistance, calculateDistance, countWithin, countWithin, countWithin, findMaximumWithin, findWithin, getAgentSize, hasWithin, hasWithin, hasWithin, isUpdateNeeded, moveAway, moveAway, moveTo, moveToward, moveToward, requestUpdate, requestUpdateNext, setAgentSize, setCoordinate`

Methods inherited from class org.ascape.model.Agent
`clearDeleteMarker, death, deathCondition, execute, execute, fission, fissionCondition, fissioning, getColor, getColor, getImage, getImage, getIteration, getPlatformColor, getRoot, isDelete, isInitialized, iterate, markForDeletion, metabolism, move, movement, movementCondition, play, scapeCreated, setInitialized, setScape, update`

Methods inherited from class org.ascape.model.AscapeObject
`diffDeep, diffDeep, diffDeepBFS, diffDeepDFS, diffDeepValidate, diffDeepVisit, equalsDeep, equalsDeep, equalsDeep, getComparisonStream, getRandom, getRandomSeed, getScape, randomInRange, randomInRange, randomIs, randomToLimit, reseed, setComparisonStream, setName, setRandom, setRandomSeed`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.ascape.model.space.Location
`clearDeleteMarker, isDelete, markForDeletion, setCoordinate`

Constructor Detail

### Trader

    public Trader()

  Constructs a new Trader.

Method Detail

### getChildren

    public java.util.List<IAgentChild> getChildren()

### getUID

    public long getUID()

### clone

    public java.lang.Object clone()

  Clones the agent, ensuring that a unique id is assigned.

  Specified by:
    `clone` in interface `Location`
  Overrides:
    `clone` in class `CellOccupant`
  Returns:
    the object

### getMarkets

    public Markets getMarkets()

### getNetwork

    public java.util.List getNetwork()

  Overrides:
    `getNetwork` in class `Cell`

### startSimulationAgentChild

    public void startSimulationAgentChild(int timeStep)

### calculateTimeStep

    public void calculateTimeStep(int timeStep)

### intializeNonFramework

    public void intializeNonFramework()

  Initialize Initialization. Executed once at the beginning of each model run.

### ask

    public void ask()

  Ask Rule. Executed every period.

### buy

    public void buy()

  Buy Rule. Executed every period.

### sharePriceAdjustment

    public double sharePriceAdjustment()

  Calculate Share Price Adjustment.

### initialTraderFunds

    public double initialTraderFunds()

  Calculate Initial Trader Funds.

### execute

    public void execute()

  Execute Rule. Executed every period.

### getStrategy

    public StrategyEnum getStrategy()

  Gets the Strategy property for Trader.

  Returns:

### setStrategy

    public void setStrategy(StrategyEnum _strategy)

  Sets the Strategy property for Trader.

  Parameters:
    `_strategy` - the new Strategy value

### getFunds

    public double getFunds()

  Gets the Funds property for Trader.

  Returns:

### setFunds

    public void setFunds(double _funds)

  Sets the Funds property for Trader.

  Parameters:
    `_funds` - the new Funds value

### getInstrumentCount

    public int getInstrumentCount()

  Gets the Instrument Count property for Trader.

  Returns:

### setInstrumentCount

    public void setInstrumentCount(int _instrumentCount)

  Sets the Instrument Count property for Trader.

  Parameters:
    `_instrumentCount` - the new Instrument Count value

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `HasName`
  Overrides:
    `getName` in class `AscapeObject`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD